外部スナップショットを復元 (V2)
外部ストレージに保存されたスナップショットからコレクションを復元します。
POST/v2/vectordb/jobs/snapshot/restore_external
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘ノート
- サービングクラスターを使用している場合は、クラスターエンドポイントを使用してください。
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
パラメータ
Authorizationstringheader
認証トークンは、適切な権限を持つ API key である必要があります。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
dbNamestring
ターゲットデータベース名。
targetCollectionNamestring必要
ターゲットコレクションの名前。
snapshotMetadataURIstring必要
復元するスナップショットメタデータのオブジェクトストレージ URI。
externalSpecstring
オプションの外部ストレージ仕様。
bash
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/restore_external" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"targetCollectionName": "restored_collection",
"snapshotMetadataURI": "s3://bucket/snapshots/snapshot_2026_01",
"externalSpec": ""
}'
レスポンス200 OK - application/json
外部ストレージに保存されたスナップショットからコレクションを復元します。
codeinteger必要
レスポンスコード。
dataobject必要
jobIdinteger<int64>必要
作成された復元ジョブの一意の識別子。
codeinteger必要
レスポンスコード。
messagestring必要
エラーメッセージ。
Successjson
{
"code": 0,
"data": {
"jobId": 451799928999570200
}
}